<?php
/*
Plugin Name: NBC TagsOnIndex
Version: 1.1.b
Description: Rajoute un cadre "Tags" sur votre page d'accueil.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=148
Author: Nicco
Author URI: http://gallery-nicco.no-ip.org
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('NBC_TAGSONINDEX_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');

global $conf, $im_priority;

if (isset($conf['IndexManager']))
{
	include_once( PHPWG_PLUGINS_PATH.'IndexManager/index_manager.php' );
	check_indexmanager('TagsOnIndex');
}



function nbc_tagsonindex()
{
  global $page;

  if (isset($page['body_id']) and $page['section'] == 'categories' and (!isset($page['category'])))
    include_once(NBC_TAGSONINDEX_PATH.'nbc_tagsonindex.php');
}



add_event_handler('loc_end_index' , 'nbc_tagsonindex', isset($im_priority) ? $im_priority['TagsOnIndex'] : 60);

?>
